	.386
	.model	use32 small

	extrn exp : proc, allerrl : proc
	public	_sinhl
	.data
nm	db	"sinhl",0

	.code
two	dw	2

_sinhl:
      	push	ebp
	mov	ebp,esp
	mov	eax,4
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	call	exp
	fld	tbyte ptr [ecx]
	fchs
	call	exp
	fsubp	st(1)
	fild	word ptr [two]
	fdivp	st(1)
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end